CVE-2019-13057
CVE-2019-13057, security advisory, novell, suse linux, suse, security, cve

CVE-2019-13057

Common Vulnerabilities and Exposures

[Previous] [Index] [Next]

Upstream information

CVE-2019-13057 at MITRE

Description

An issue was discovered in the server in OpenLDAP before 2.4.48. When the server administrator delegates rootDN (database admin) privileges for certain databases but wants to maintain isolation (e.g., for multi-tenant deployments), slapd does not properly stop a rootDN from requesting authorization as an identity from another database during a SASL bind or with a proxyAuthz (RFC 4370) control. (It is not a common configuration to deploy a system where the server administrator and a DB administrator enjoy different levels of trust.)

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 3.5
Vector AV:N/AC:M/Au:S/C:P/I:N/A:N
Access Vector Network
Access Complexity Medium
Authentication Single
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 4.9 5.3
Vector AV:N/AC:L/PR:H/UI:N/S:U/C:H/I:N/A:N AV:N/AC:H/PR:L/UI:N/S:U/C:H/I:N/A:N
Access Vector Network Network
Access Complexity Low High
Privileges Required High Low
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact None None
Availability Impact None None
CVSSv3 Version 3.0 3.0
SUSE Bugzilla entry: 1143273 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE CaaS Platform 3.0
  • libldap-2_4-2 >= 2.4.41-18.63.1
  • openldap2 >= 2.4.41-18.63.1
Patchnames:
SUSE-CAASP-3.0-2019-2390
SUSE Linux Enterprise Desktop 12 SP4
  • libldap-2_4-2 >= 2.4.41-18.63.1
  • libldap-2_4-2-32bit >= 2.4.41-18.63.1
  • openldap2 >= 2.4.41-18.63.1
  • openldap2-client >= 2.4.41-18.63.1
  • openldap2-doc >= 2.4.41-18.63.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-2390
SUSE Linux Enterprise Module for Basesystem 15
  • libldap-2_4-2 >= 2.4.46-9.19.2
  • libldap-2_4-2-32bit >= 2.4.46-9.19.2
  • openldap2 >= 2.4.46-9.19.2
  • openldap2-client >= 2.4.46-9.19.2
  • openldap2-devel >= 2.4.46-9.19.2
  • openldap2-devel-static >= 2.4.46-9.19.2
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-2395
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libldap-2_4-2 >= 2.4.46-9.19.2
  • libldap-2_4-2-32bit >= 2.4.46-9.19.2
  • openldap2 >= 2.4.46-9.19.2
  • openldap2-client >= 2.4.46-9.19.2
  • openldap2-devel >= 2.4.46-9.19.2
  • openldap2-devel-static >= 2.4.46-9.19.2
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2019-2395
SUSE Linux Enterprise Module for Development Tools 15
  • openldap2 >= 2.4.46-9.19.2
  • openldap2-devel-32bit >= 2.4.46-9.19.2
Patchnames:
SUSE-SLE-Module-Development-Tools-15-2019-2395
SUSE Linux Enterprise Module for Development Tools 15 SP1
  • openldap2 >= 2.4.46-9.19.2
  • openldap2-devel-32bit >= 2.4.46-9.19.2
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP1-2019-2395
SUSE Linux Enterprise Module for Legacy Software 15
  • openldap2 >= 2.4.46-9.19.2
  • openldap2-back-meta >= 2.4.46-9.19.2
  • openldap2-back-perl >= 2.4.46-9.19.2
Patchnames:
SUSE-SLE-Module-Legacy-15-2019-2395
SUSE Linux Enterprise Module for Legacy Software 15 SP1
  • openldap2 >= 2.4.46-9.19.2
  • openldap2-back-meta >= 2.4.46-9.19.2
  • openldap2-back-perl >= 2.4.46-9.19.2
Patchnames:
SUSE-SLE-Module-Legacy-15-SP1-2019-2395
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • libldap-data >= 2.4.46-9.19.2
  • openldap2 >= 2.4.46-9.19.2
  • openldap2-back-sock >= 2.4.46-9.19.2
  • openldap2-back-sql >= 2.4.46-9.19.2
  • openldap2-contrib >= 2.4.46-9.19.2
  • openldap2-doc >= 2.4.46-9.19.2
  • openldap2-ppolicy-check-password >= 1.2-9.19.2
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-2395
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • libldap-data >= 2.4.46-9.19.2
  • openldap2 >= 2.4.46-9.19.2
  • openldap2-back-sock >= 2.4.46-9.19.2
  • openldap2-back-sql >= 2.4.46-9.19.2
  • openldap2-contrib >= 2.4.46-9.19.2
  • openldap2-doc >= 2.4.46-9.19.2
  • openldap2-ppolicy-check-password >= 1.2-9.19.2
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-2395
SUSE Linux Enterprise Server 12 SP4
  • libldap-2_4-2 >= 2.4.41-18.63.1
  • libldap-2_4-2-32bit >= 2.4.41-18.63.1
  • openldap2 >= 2.4.41-18.63.1
  • openldap2-back-meta >= 2.4.41-18.63.1
  • openldap2-client >= 2.4.41-18.63.1
  • openldap2-doc >= 2.4.41-18.63.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-2390
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libldap-2_4-2 >= 2.4.41-18.63.1
  • libldap-2_4-2-32bit >= 2.4.41-18.63.1
  • openldap2 >= 2.4.41-18.63.1
  • openldap2-back-meta >= 2.4.41-18.63.1
  • openldap2-client >= 2.4.41-18.63.1
  • openldap2-doc >= 2.4.41-18.63.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-2390
SUSE Linux Enterprise Software Development Kit 12 SP4
  • openldap2 >= 2.4.41-18.63.1
  • openldap2-back-perl >= 2.4.41-18.63.1
  • openldap2-devel >= 2.4.41-18.63.1
  • openldap2-devel-static >= 2.4.41-18.63.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-2390
openSUSE Leap 15.0
  • libldap-2_4-2 >= 2.4.46-lp150.13.1
  • libldap-2_4-2-32bit >= 2.4.46-lp150.13.1
  • libldap-2_4-2-32bit-debuginfo >= 2.4.46-lp150.13.1
  • libldap-2_4-2-debuginfo >= 2.4.46-lp150.13.1
  • libldap-data >= 2.4.46-lp150.13.1
  • openldap2 >= 2.4.46-lp150.13.1
  • openldap2-back-meta >= 2.4.46-lp150.13.1
  • openldap2-back-meta-debuginfo >= 2.4.46-lp150.13.1
  • openldap2-back-perl >= 2.4.46-lp150.13.1
  • openldap2-back-perl-debuginfo >= 2.4.46-lp150.13.1
  • openldap2-back-sock >= 2.4.46-lp150.13.1
  • openldap2-back-sock-debuginfo >= 2.4.46-lp150.13.1
  • openldap2-back-sql >= 2.4.46-lp150.13.1
  • openldap2-back-sql-debuginfo >= 2.4.46-lp150.13.1
  • openldap2-client >= 2.4.46-lp150.13.1
  • openldap2-client-debuginfo >= 2.4.46-lp150.13.1
  • openldap2-contrib >= 2.4.46-lp150.13.1
  • openldap2-contrib-debuginfo >= 2.4.46-lp150.13.1
  • openldap2-debuginfo >= 2.4.46-lp150.13.1
  • openldap2-debugsource >= 2.4.46-lp150.13.1
  • openldap2-devel >= 2.4.46-lp150.13.1
  • openldap2-devel-32bit >= 2.4.46-lp150.13.1
  • openldap2-devel-static >= 2.4.46-lp150.13.1
  • openldap2-doc >= 2.4.46-lp150.13.1
  • openldap2-ppolicy-check-password >= 1.2-lp150.13.1
  • openldap2-ppolicy-check-password-debuginfo >= 1.2-lp150.13.1
Patchnames:
openSUSE-2019-2176
openSUSE Leap 15.1
  • libldap-2_4-2 >= 2.4.46-lp151.10.3.1
  • libldap-2_4-2-32bit >= 2.4.46-lp151.10.3.1
  • libldap-2_4-2-32bit-debuginfo >= 2.4.46-lp151.10.3.1
  • libldap-2_4-2-debuginfo >= 2.4.46-lp151.10.3.1
  • libldap-data >= 2.4.46-lp151.10.3.1
  • openldap2 >= 2.4.46-lp151.10.3.1
  • openldap2-back-meta >= 2.4.46-lp151.10.3.1
  • openldap2-back-meta-debuginfo >= 2.4.46-lp151.10.3.1
  • openldap2-back-perl >= 2.4.46-lp151.10.3.1
  • openldap2-back-perl-debuginfo >= 2.4.46-lp151.10.3.1
  • openldap2-back-sock >= 2.4.46-lp151.10.3.1
  • openldap2-back-sock-debuginfo >= 2.4.46-lp151.10.3.1
  • openldap2-back-sql >= 2.4.46-lp151.10.3.1
  • openldap2-back-sql-debuginfo >= 2.4.46-lp151.10.3.1
  • openldap2-client >= 2.4.46-lp151.10.3.1
  • openldap2-client-debuginfo >= 2.4.46-lp151.10.3.1
  • openldap2-contrib >= 2.4.46-lp151.10.3.1
  • openldap2-contrib-debuginfo >= 2.4.46-lp151.10.3.1
  • openldap2-debuginfo >= 2.4.46-lp151.10.3.1
  • openldap2-debugsource >= 2.4.46-lp151.10.3.1
  • openldap2-devel >= 2.4.46-lp151.10.3.1
  • openldap2-devel-32bit >= 2.4.46-lp151.10.3.1
  • openldap2-devel-static >= 2.4.46-lp151.10.3.1
  • openldap2-doc >= 2.4.46-lp151.10.3.1
  • openldap2-ppolicy-check-password >= 1.2-lp151.10.3.1
  • openldap2-ppolicy-check-password-debuginfo >= 1.2-lp151.10.3.1
Patchnames:
openSUSE-2019-2157


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Module for Basesystem 15 GA openldap2 Released
SUSE Linux Enterprise Module for Basesystem 15 SP1 openldap2 Released
SUSE Linux Enterprise Module for Development Tools 15 GA openldap2 Released
SUSE Linux Enterprise Module for Development Tools 15 SP1 openldap2 Released
SUSE Linux Enterprise Module for Legacy Software 12 openldap2 Affected
SUSE Linux Enterprise Module for Legacy Software 15 openldap2 Released
SUSE Linux Enterprise Server 11 SP3 LTSS openldap2 Affected
SUSE Linux Enterprise Server 11 SP4 LTSS openldap2 Affected
SUSE Linux Enterprise Server 12 GA LTSS openldap2 Affected
SUSE Linux Enterprise Server 12 SP1 LTSS openldap2 Affected
SUSE Linux Enterprise Server 12 SP2 LTSS openldap2 Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP3 openldap2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 GA openldap2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 openldap2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 openldap2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 openldap2 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 openldap2 Affected